class CutiModel {
  final String nama;
  final String keterangan;
  final String jenisCuti;
  final String tanggalMulai;
  final String tanggalSelesai;
  final String status;

  CutiModel({
    required this.nama,
    required this.keterangan,
    required this.jenisCuti,
    required this.tanggalMulai,
    required this.tanggalSelesai,
    this.status = 'Pending',
  });

  Map<String, dynamic> toJson() {
    return {
      'nama': nama,
      'keterangan': keterangan,
      'jenis_cuti': jenisCuti,
      'tanggal_mulai': tanggalMulai,
      'tanggal_selesai': tanggalSelesai,
      'status': status,
    };
  }

  factory CutiModel.fromJson(Map<String, dynamic> json) {
    return CutiModel(
      nama: json['nama'],
      keterangan: json['keterangan'],
      jenisCuti: json['jenis_cuti'],
      tanggalMulai: json['tanggal_mulai'],
      tanggalSelesai: json['tanggal_selesai'],
      status: json['status'] ?? 'Pending',
    );
  }
} 